| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Functions
disabled_protos.h File Reference
`#include <ws_symbol_export.h>`

Go to the source code of this file.

## Functions
WS_DLL_PUBLIC bool | enabled_protos_unsaved_changes (void)
| Check if there are unsaved changes to enabled protocols.
WS_DLL_PUBLIC bool | proto_disable_proto_by_name (const char *name)
| Disable a particular protocol by name.
WS_DLL_PUBLIC bool | proto_enable_proto_by_name (const char *name)
| Enable a particular protocol by name.
WS_DLL_PUBLIC bool | proto_enable_heuristic_by_name (const char *name)
| Enable a particular heuristic dissector by name.
WS_DLL_PUBLIC bool | proto_disable_heuristic_by_name (const char *name)
| Disable a heuristic dissector by name.
WS_DLL_PUBLIC void | read_enabled_and_disabled_lists (const char *app_env_var_prefix)
| Read the files that enable and disable protocols and heuristic dissectors. Report errors through the UI.
WS_DLL_PUBLIC void | save_enabled_and_disabled_lists (const char *app_env_var_prefix)
| Write out the lists of enabled and disabled protocols and heuristic dissectors to the corresponding files. Report errors through the UI.
void | cleanup_enabled_and_disabled_lists (void)
| Cleans up enabled and disabled protocol lists.

## Detailed Description

Declarations of routines for reading and writing protocols file that determine enabling and disabling of protocols.

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ cleanup_enabled_and_disabled_lists()

void cleanup_enabled_and_disabled_lists | ( | void |  | ) |
| extern

Cleans up enabled and disabled protocol lists.

This function iterates through and frees the memory allocated for the disabled heuristics and protocols lists.

## ◆ enabled_protos_unsaved_changes()

WS_DLL_PUBLIC bool enabled_protos_unsaved_changes | ( | void |  | ) |

Check if there are unsaved changes to enabled protocols.

Tell if protocols have been enabled/disabled since we've last loaded (or saved) the lists.

Returns
  true if there are unsaved changes, false otherwise.

## ◆ proto_disable_heuristic_by_name()

WS_DLL_PUBLIC bool proto_disable_heuristic_by_name | ( | const char * | name | ) |

Disable a heuristic dissector by name.

Parameters

  name | The name of the heuristic dissector to disable.

Returns
  true if the heuristic dissector was successfully disabled, false otherwise.

## ◆ proto_disable_proto_by_name()

WS_DLL_PUBLIC bool proto_disable_proto_by_name | ( | const char * | name | ) |

Disable a particular protocol by name.

Parameters

  name | The name of the protocol to disable.

Returns
  true if the protocol was successfully disabled, false otherwise.

## ◆ proto_enable_heuristic_by_name()

WS_DLL_PUBLIC bool proto_enable_heuristic_by_name | ( | const char * | name | ) |

Enable a particular heuristic dissector by name.

Parameters

  name | The name of the heuristic dissector to enable.

Returns
  true if the heuristic dissector was successfully enabled, false otherwise.

## ◆ proto_enable_proto_by_name()

WS_DLL_PUBLIC bool proto_enable_proto_by_name | ( | const char * | name | ) |

Enable a particular protocol by name.

Parameters

  name | The name of the protocol to enable.

Returns
  true if the protocol was found and enabled, false otherwise.

## ◆ read_enabled_and_disabled_lists()

WS_DLL_PUBLIC void read_enabled_and_disabled_lists | ( | const char * | app_env_var_prefix | ) |

Read the files that enable and disable protocols and heuristic dissectors. Report errors through the UI.

This is called by epan_load_settings(); programs should call that rather than individually calling the routines it calls. This is only public (instead of extern) to allow users who temporarily disable protocols in the PHS GUI to re-enable them.

Parameters

  app_env_var_prefix | Prefix for application environment variables.

## ◆ save_enabled_and_disabled_lists()

WS_DLL_PUBLIC void save_enabled_and_disabled_lists | ( | const char * | app_env_var_prefix | ) |

Write out the lists of enabled and disabled protocols and heuristic dissectors to the corresponding files. Report errors through the UI.

Parameters

  app_env_var_prefix | Prefix for application environment variables.